<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."langthis_panel/infusion_db.php";

if (file_exists(INFUSIONS."langthis_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."langthis_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."langthis_panel/locale/English.php";
}

// Infusion Information
$inf_title = $locale['ltp_001'];
$inf_description = $locale['ltp_006'];
$inf_version = "1.3";
$inf_developer = "Smokeman";
$inf_email = "smokeman@esenet.dk";
$inf_weburl = "http://www.phpfusion-tips.dk";

$inf_folder = "langthis_panel";

$inf_newtable[1] = DB_LTP." (
lang_id VARCHAR(200) NOT NULL,
lang_user VARCHAR(200) NOT NULL,
lang_lang VARCHAR(200) NOT NULL,
lang_btn VARCHAR(200) NOT NULL,
PRIMARY KEY (lang_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_LTP." (lang_id, lang_user, lang_lang, lang_btn) VALUES ('', '', 'gb', '1')";

$inf_droptable[1] = DB_LTP;
$inf_altertable[1] = DB_LTP." ADD etc";

$inf_adminpanel[1] = array(
"title" => $locale['ltp_001'],
"image" => "image.gif",
"panel" => "langthis_panel_admin.php",
"rights" => "LTP"
);

?>