<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: langthis_panel_admin.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."langthis_panel/infusion_db.php";

if (file_exists(INFUSIONS."langthis_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."langthis_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."langthis_panel/locale/English.php";
}

if (!checkrights("LTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$result = dbquery("SELECT * FROM ".DB_LTP);
$data = dbarray($result);

if (isset($_POST['lang_id']) && ($_POST['lang_lang']) && ($_POST['lang_btn'])) {
$error = 0;
$result = dbquery("UPDATE ".DB_LTP." SET lang_id='".$_POST['lang_id']."', lang_user='".$_POST['lang_user']."', lang_lang='".$_POST['lang_lang']."', lang_btn='".$_POST['lang_btn']."'");
$result = dbquery("SELECT * FROM ".DB_LTP);
$data = dbarray($result);
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

add_to_title(" - ".$locale['ltp_002']."");

opentable($locale['ltp_002']);
echo "<div>
<form method='POST' action='".FUSION_SELF.$aidlink."'>
<label for='lang_lang'>".$locale['ltp_004']."</label>
<br />"; 
?>
<select id="lang_lang" name="lang_lang">
<option value="al" <?php if($data['lang_lang'] == 'al'){echo "selected=\"selected\"";} ?>>Albanian</option>
<option value="arab" <?php if($data['lang_lang'] == 'arab'){echo "selected=\"selected\"";} ?>>Arabic</option>
<option value="bg" <?php if($data['lang_lang'] == 'bg'){echo "selected=\"selected\"";} ?>>Bulgarian</option>
<option value="br" <?php if($data['lang_lang'] == 'br'){echo "selected=\"selected\"";} ?>>Brazilian P.</option>
<option value="by" <?php if($data['lang_lang'] == 'by'){echo "selected=\"selected\"";} ?>>Belarusian</option>
<option value="catalan" <?php if($data['lang_lang'] == 'catalan'){echo "selected=\"selected\"";} ?>>Catalan</option>
<option value="cn" <?php if($data['lang_lang'] == 'cn'){echo "selected=\"selected\"";} ?>>Chinese S.</option>
<option value="cz" <?php if($data['lang_lang'] == 'cz'){echo "selected=\"selected\"";} ?>>Czech</option>
<option value="de" <?php if($data['lang_lang'] == 'de'){echo "selected=\"selected\"";} ?>>German</option>
<option value="dk" <?php if($data['lang_lang'] == 'dk'){echo "selected=\"selected\"";} ?>>Danish</option>
<option value="es" <?php if($data['lang_lang'] == 'es'){echo "selected=\"selected\"";} ?>>Spanish</option>
<option value="fi" <?php if($data['lang_lang'] == 'fi'){echo "selected=\"selected\"";} ?>>Finnish</option>
<option value="fr" <?php if($data['lang_lang'] == 'fr'){echo "selected=\"selected\"";} ?>>French</option>
<option value="galician" <?php if($data['lang_lang'] == 'galician'){echo "selected=\"selected\"";} ?>>Galician</option>
<option value="gb" <?php if($data['lang_lang'] == 'gb'){echo "selected=\"selected\"";} ?>>English</option>
<option value="gr" <?php if($data['lang_lang'] == 'gr'){echo "selected=\"selected\"";} ?>>Greek</option>
<option value="hr" <?php if($data['lang_lang'] == 'hr'){echo "selected=\"selected\"";} ?>>Croatian</option>
<option value="hu" <?php if($data['lang_lang'] == 'hu'){echo "selected=\"selected\"";} ?>>Hungarian</option>
<option value="id" <?php if($data['lang_lang'] == 'id'){echo "selected=\"selected\"";} ?>>Indonesian</option>
<option value="ie" <?php if($data['lang_lang'] == 'ie'){echo "selected=\"selected\"";} ?>>Irish</option>
<option value="il" <?php if($data['lang_lang'] == 'il'){echo "selected=\"selected\"";} ?>>Hebrew</option>
<option value="in" <?php if($data['lang_lang'] == 'in'){echo "selected=\"selected\"";} ?>>Hindi</option>
<option value="ir" <?php if($data['lang_lang'] == 'ir'){echo "selected=\"selected\"";} ?>>Persian</option>
<option value="is" <?php if($data['lang_lang'] == 'is'){echo "selected=\"selected\"";} ?>>Icelandic</option>
<option value="it" <?php if($data['lang_lang'] == 'it'){echo "selected=\"selected\"";} ?>>Italian</option>
<option value="jp" <?php if($data['lang_lang'] == 'jp'){echo "selected=\"selected\"";} ?>>Japanese</option>
<option value="kr" <?php if($data['lang_lang'] == 'kr'){echo "selected=\"selected\"";} ?>>Korean</option>
<option value="latin" <?php if($data['lang_lang'] == 'latin'){echo "selected=\"selected\"";} ?>>Latin</option>
<option value="latinamerica" <?php if($data['lang_lang'] == 'latinamerica'){echo "selected=\"selected\"";} ?>>Latin Am..</option>
<option value="lt" <?php if($data['lang_lang'] == 'lt'){echo "selected=\"selected\"";} ?>>Lithuanian</option>
<option value="lv" <?php if($data['lang_lang'] == 'lv'){echo "selected=\"selected\"";} ?>>Latvian</option>
<option value="mk" <?php if($data['lang_lang'] == 'mk'){echo "selected=\"selected\"";} ?>>Macedonian</option>
<option value="mt" <?php if($data['lang_lang'] == 'mt'){echo "selected=\"selected\"";} ?>>Maltese</option>
<option value="my" <?php if($data['lang_lang'] == 'my'){echo "selected=\"selected\"";} ?>>Malay</option>
<option value="nl" <?php if($data['lang_lang'] == 'nl'){echo "selected=\"selected\"";} ?>>Dutch</option>
<option value="no" <?php if($data['lang_lang'] == 'no'){echo "selected=\"selected\"";} ?>>Norwegian</option>
<option value="ph" <?php if($data['lang_lang'] == 'ph'){echo "selected=\"selected\"";} ?>>Filipino</option>
<option value="pl" <?php if($data['lang_lang'] == 'pl'){echo "selected=\"selected\"";} ?>>Polish</option>
<option value="pt" <?php if($data['lang_lang'] == 'pt'){echo "selected=\"selected\"";} ?>>Portuguese</option>
<option value="ro" <?php if($data['lang_lang'] == 'ro'){echo "selected=\"selected\"";} ?>>Romanian</option>
<option value="rs" <?php if($data['lang_lang'] == 'rs'){echo "selected=\"selected\"";} ?>>Serbian</option>
<option value="ru" <?php if($data['lang_lang'] == 'ru'){echo "selected=\"selected\"";} ?>>Russian</option>
<option value="se" <?php if($data['lang_lang'] == 'se'){echo "selected=\"selected\"";} ?>>Swedish</option>
<option value="sk" <?php if($data['lang_lang'] == 'sk'){echo "selected=\"selected\"";} ?>>Slovak</option>
<option value="th" <?php if($data['lang_lang'] == 'th'){echo "selected=\"selected\"";} ?>>Thai</option>
<option value="tr" <?php if($data['lang_lang'] == 'tr'){echo "selected=\"selected\"";} ?>>Turkish</option>
<option value="tw" <?php if($data['lang_lang'] == 'tw'){echo "selected=\"selected\"";} ?>>Chinese T.</option>
<option value="tz" <?php if($data['lang_lang'] == 'tz'){echo "selected=\"selected\"";} ?>>Swahili</option>
<option value="ua" <?php if($data['lang_lang'] == 'ua'){echo "selected=\"selected\"";} ?>>Ukranian</option>
<option value="vn" <?php if($data['lang_lang'] == 'vn'){echo "selected=\"selected\"";} ?>>Vietnamese</option>
<option value="wales" <?php if($data['lang_lang'] == 'wales'){echo "selected=\"selected\"";} ?>>Welsh</option>
<option value="yiddish" <?php if($data['lang_lang'] == 'yiddish'){echo "selected=\"selected\"";} ?>>Yiddish</option>
<option value="za" <?php if($data['lang_lang'] == 'za'){echo "selected=\"selected\"";} ?>>Afrikaans</option>
</select>
<br /><br />
<?php
echo "".$locale['ltp_008']."
<br />
<img src='".INFUSIONS."langthis_panel/images/btn-gb1.png' alt='' border='0' />&nbsp;<img src='".INFUSIONS."langthis_panel/images/btn-gb2.png' alt='' border='0' />&nbsp;<img src='".INFUSIONS."langthis_panel/images/btn-gb3.png' alt='' border='0' />
<br /><br />
<input type='text' class=textbox' size='2' maxlength='200' name='lang_btn' value='".$data['lang_btn']."' />&nbsp;<label for='lang_btn'>".$locale['ltp_009']."</label>
<br /><br />
<input type='text' class=textbox' size='2' maxlength='200' name='lang_id' value='".$data['lang_id']."' />&nbsp;<label for='lang_id'>".$locale['ltp_003']." (<a href='http://www.langthis.com/user/register.php' target='_blank'>".$locale['ltp_007']."</a>)</label>
<br /><br />
<input type='text' class=textbox' size='20' maxlength='200' name='lang_user' value='".$data['lang_user']."' />&nbsp;<label for='lang_id'>".$locale['ltp_011']." (<a href='http://www.langthis.com/user/register.php' target='_blank'>".$locale['ltp_007']."</a>)</label>
<input type='hidden' name='action' value='update' />
<input type='hidden' name='page_options' value='lang_id,lang_user,lang_lang,lang_btn' />
<p>
<input type='submit' value='".$locale['ltp_005']."' class='button' />
</p>
</form>
</div>";
closetable();

require_once THEMES."templates/footer.php";
?>